net.dontdrinkandroot.cache.impl.disk.file

## Class Md5

- java.lang.Object
- - net.dontdrinkandroot.cache.impl.disk.file.Md5

    public class Md5
    extends Object

Author:
  Philip W. Sorst <philip@sorst.net>

### Constructor Summary

Constructors
Constructor and Description
`Md5(byte[] md5Bytes)`
`Md5(String s)`

### Method Summary

Methods
`boolean` `equals(Object obj)`
`static Md5` `fromMd5Hex(String md5Hex)`
`byte[]` `getBytes()`
`String` `getHex()`
`int` `hashCode()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Md5

    public Md5(String s)

#### Md5

    public Md5(byte[] md5Bytes)

### Method Detail

#### fromMd5Hex

    public static Md5 fromMd5Hex(String md5Hex)
                          throws org.apache.commons.codec.DecoderException

Throws:
  `org.apache.commons.codec.DecoderException`

#### getBytes

    public byte[] getBytes()

#### getHex

    public String getHex()

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`